CONST false = 0, true = NOT false
CONST byteVal = 255

CONST camBorder = 30, camSpeedUpBorder = 5

CONST left1 = 0, left2 = 1, rght1 = 2, rght2 = 3, frnt1 = 4, frnt2 = 5, back1 = 6, back2 = 7
CONST layerMask = 0, layerSprt = 1
CONST effectNone = 0, effectBarrier = 1, effectHide = 2, effectWork = 3
CONST workHouse = 1, workWare = 2, workConstr = 3, workCastle = 4
CONST workHouseWare = 6, workHWHouse = 7, workClassHouse = 8
CONST workWood = 6
CONST workLazy = 50

CONST textColor = 42

CONST menuClear = -1, menuNone = 0, menuCastle = 1, menuBuild = 2, menuThing = 3

CONST classWorker = 1, classSoldier = 2, classWizard = 3, classPriest = 4

CONST scrnNum = 13
CONST scrnMinX = 0, scrnMinY = 0
CONST scrnMidX = 160 - 20, scrnMidY = 100 - 20
CONST scrnMaxX = 319, scrnMaxY = 200
CONST scrnLtrSizeX = 8, scrnLtrSizeY = 8
CONST scrnIntens = 63

CONST gameTiles = 20, gameSprites = 4, gameLazyDefault = 4, gameThingView = 20
CONST tileSizeX = 20, tileSizeY = 20
CONST fadeMax = 20

TYPE wares
  part AS STRING * 1 ' warehouse/ ware/ construction
  link AS STRING * 1 ' wareType itself/ needed   / construction
  nval AS STRING * 1 ' empty ware type/ filled place tile (/ construction pic)
END TYPE

TYPE worldValues
  viewx1  AS INTEGER
  viewy1  AS INTEGER
  viewx2  AS INTEGER
  viewy2  AS INTEGER
  limx    AS INTEGER
  limy    AS INTEGER
END TYPE

TYPE sprite
  numb      AS INTEGER
  x         AS INTEGER
  y         AS INTEGER
  spdx      AS INTEGER ' speed
  spdy      AS INTEGER
  cell      AS INTEGER
  dirx      AS INTEGER ' direction
  diry      AS INTEGER
  body      AS INTEGER
  changed   AS INTEGER
  picked    AS INTEGER ' by mouse
  player    AS INTEGER ' serves the player
  targetx1  AS INTEGER
  targety1  AS INTEGER
  targetx2  AS INTEGER
  targety2  AS INTEGER
  targetx3  AS INTEGER
  targety3  AS INTEGER
  tfollow   AS INTEGER
  lazy      AS INTEGER ' step delay
  working   AS INTEGER
  bag       AS STRING * 1
  class     AS STRING * 1
  'memShort  AS STRING * 30
  'memLong   AS STRING * 30
  active    AS INTEGER
  findPath  AS INTEGER
  nameOf    AS STRING * 30
END TYPE

TYPE simpleSprite
  x       AS INTEGER
  y       AS INTEGER
  spdx    AS INTEGER
  spdy    AS INTEGER
  target  AS INTEGER
END TYPE

TYPE gameOptions
  music       AS INTEGER
  bgMusic     AS INTEGER
  showPicked  AS INTEGER
  quit        AS INTEGER
END TYPE

TYPE pal
  red   AS SINGLE
  green AS SINGLE
  blue  AS SINGLE
END TYPE

TYPE byte
  b AS STRING * 1
END TYPE

TYPE animation
  cell  AS STRING * 1
  speed AS STRING * 1
END TYPE

TYPE layer
  world  AS STRING * 1
  object AS STRING * 1
END TYPE

TYPE mouseType
  left    AS INTEGER
  middle  AS INTEGER
  right   AS INTEGER
  x       AS INTEGER
  y       AS INTEGER
END TYPE

TYPE rect
  x1 AS INTEGER
  y1 AS INTEGER
  x2 AS INTEGER
  y2 AS INTEGER
END TYPE

TYPE buttonType
  x1      AS INTEGER
  y1      AS INTEGER
  x2      AS INTEGER
  y2      AS INTEGER
  text    AS STRING * 8
  status  AS INTEGER
  baseCol AS INTEGER
END TYPE

TYPE menuItem
  building  AS STRING * 10
  needs     AS STRING * 20
  job       AS STRING * 15
  flagCol   AS INTEGER
END TYPE

TYPE pointer
  x         AS INTEGER
  y         AS INTEGER
  nameOf    AS STRING * 20
  checkCam  AS INTEGER
END TYPE

TYPE picPointer
  tle AS STRING * 1
  spr AS STRING * 1
END TYPE

